javax.xml.crypto.dsig.keyinfo

## Interface KeyName

- All Superinterfaces:
    XMLStructure

      public interface KeyName
      extends XMLStructure

  A representation of the XML `KeyName` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. A `KeyName` object contains a string value which may be used by the signer to communicate a key identifier to the recipient. The XML Schema Definition is defined as:

       <element name="KeyName" type="string"/>

  A `KeyName` instance may be created by invoking the `newKeyName` method of the `KeyInfoFactory` class, and passing it a `String` representing the name of the key; for example:

       KeyInfoFactory factory = KeyInfoFactory.getInstance("DOM");
       KeyName keyName = factory.newKeyName("Alice");

  Since:
    1.6
  See Also:
    `KeyInfoFactory.newKeyName(String)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the name of this `KeyName`.

    - ### Methods inherited from interface javax.xml.crypto.XMLStructure

      `isFeatureSupported`

- - ### Method Detail

    - #### getName

          String getName()

      Returns the name of this `KeyName`.
      Returns:
        the name of this `KeyName` (never `null`)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.